<?php
/**
 * Contact モジュール
 */
require_once 'Zend/Db.php';
require_once 'Zend/Db/Table.php';
require_once 'Platy/Module.php';
require_once 'Platy/SystemDB.php';
require_once 'Platy/Form.php';

class Platy_Module_Contact extends Platy_Module
{
    public function install()
    {
        global $db;
        $sql[] = "INSERT INTO Platy_Config(name,value) VALUES('M_CONTACT_INTRO', '');";
        for ($i = 0; $i < count($sql); $i++) {
            $db->query($sql[$i]);
        }
        // メニューアイテム追加
        $item = array('bar'=>'header', 'type'=>'module', 'title'=>'お問い合わせ', 'module_name'=>'Contact', 'module_param' => '');
        addToMenu($item);
        
        return true;
    }
    
    public function uninstall()
    {
        global $db;
        $sql[] = "DELETE FROM Platy_Config WHERE name='M_CONTACT_INTRO';";
        for ($i = 0; $i < count($sql); $i++) {
            $db->query($sql[$i]);
        }
        return true;
    }
    
    public function getName()
    {
        return 'Contact';
    }
    
    public function getTitle()
    {
        return 'お問い合わせ';
    }
    
    public function getSummary()
    {
        return 'お問い合わせフォーム';
    }
    
    public function getAuthor()
    {
        return 'altkraft';
    }
}
?>